Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
[Java] Class Wrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper

All Implemented Interfaces:
  GroovyObject

    public abstract class Wrapper
    extends java.lang.Object

Authors:
  John Wilson

Field Summary
`protected java.lang.Class` | `constrainedType`

Constructor Summary
`Wrapper(java.lang.Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`MetaClass` | `getMetaClass()`
`java.lang.Class` | `getType()`
`protected java.lang.Object` | `getWrapped()`
`java.lang.Object` | `unwrap()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### constrainedType

    protected final java.lang.Class constrainedType

Constructor Detail

### Wrapper

    public Wrapper(java.lang.Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getMetaClass

    public MetaClass getMetaClass()

### getType

    public java.lang.Class getType()

### getWrapped

    protected java.lang.Object getWrapped()

### unwrap

    public java.lang.Object unwrap()

Groovy Documentation